import request from '@/utils/request'

// 查询园区对象列表
export function listParkInfo(query) {
  return request({
    url: '/info/parkInfo/list',
    method: 'get',
    params: query
  })
}

// 查询园区对象详细
export function getParkInfo(parkId) {
  return request({
    url: '/info/parkInfo/' + parkId,
    method: 'get'
  })
}

// 新增园区对象
export function addParkInfo(data) {
  return request({
    url: '/info/parkInfo',
    method: 'post',
    data: data
  })
}

// 修改园区对象
export function updateParkInfo(data) {
  return request({
    url: '/info/parkInfo',
    method: 'put',
    data: data
  })
}

// 删除园区对象
export function delParkInfo(parkId) {
  return request({
    url: '/info/parkInfo/' + parkId,
    method: 'delete'
  })
}

// 导出园区对象
export function exportParkInfo(query) {
  return request({
    url: '/info/parkInfo/export',
    method: 'get',
    params: query
  })
}
